version: "3.7"
services:
  db:
    image: mariadb:10.5.5
    restart: always
    ports:
      - 3306:3306
    networks:
      - database
      - pma-local
    environment:
      - MYSQL_ROOT_PASSWORD={{ MYSQL_ROOT_PASSWORD }}
      - MYSQL_USER={{ MYSQL_USER }}
      - MYSQL_PASSWORD={{ MYSQL_PASSWORD }}
      - MYSQL_DATABASE={{ MYSQL_DATABASE }}
    volumes:
      - ./data/:/var/lib/mysql

  pma:
    image: phpmyadmin/phpmyadmin:5.0.2
    depends_on:
      - db
    restart: always
    networks:
      - pma-local
      - pma
    environment:
      - PMA_HOST={{ MYSQL_HOST }}
      - MYSQL_ROOT_PASSWORD={{ MYSQL_ROOT_PASSWORD }}
    expose:
      - 80

networks:
  db-local:
  pma:
    external: true
  database:
    external: true
